Package org.apache.ignite.internal.management.kill

## Class SnapshotCancelTask.CancelSnapshotArg

- java.lang.Object
- - org.apache.ignite.internal.dto.IgniteDataTransferObject
  - - org.apache.ignite.internal.management.kill.SnapshotCancelTask.CancelSnapshotArg

All Implemented Interfaces:
  `Externalizable`, `Serializable`

Direct Known Subclasses:
  `KillSnapshotCommandArg`, `SnapshotCancelCommandArg`

Enclosing class:
  SnapshotCancelTask

    public abstract static class SnapshotCancelTask.CancelSnapshotArg
    extends IgniteDataTransferObject

See Also:
  Serialized Form

### Field Summary

### Fields inherited from class org.apache.ignite.internal.dto.IgniteDataTransferObject

`V1, V2, V3, V4, V5, V6, V7, V8, V9`

### Constructor Summary

Constructors
`CancelSnapshotArg()`

### Method Summary

All Methods Instance Methods Abstract Methods
`abstract UUID` `requestId()`
`abstract String` `snapshotName()`

### Methods inherited from class org.apache.ignite.internal.dto.IgniteDataTransferObject

`getProtocolVersion, readExternal, readExternalData, toList, toSet, writeExternal, writeExternalData`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### CancelSnapshotArg

    public CancelSnapshotArg()

### Method Detail

#### requestId

    public abstract UUID requestId()

#### snapshotName

    public abstract String snapshotName()